from HostCommands import CMD
# This file contains macro definitions to process cubes acquired during flyby 66E42

# Processing target id 10025
CMD('MISE_MAC_DEF', 100)
CMD('MISE_ACCOUNT_START', 320266, 1)
CMD('MISE_NVSTORE_READ',  9, 'Frame', 'Disable',  0,  485)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10026
CMD('MISE_MAC_DEF', 101)
CMD('MISE_ACCOUNT_START', 320298, 1)
CMD('MISE_NVSTORE_READ',  10, 'Frame', 'Disable',  0,  508)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10027
CMD('MISE_MAC_DEF', 102)
CMD('MISE_ACCOUNT_START', 320330, 1)
CMD('MISE_NVSTORE_READ',  11, 'Frame', 'Disable',  0,  485)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10028
CMD('MISE_MAC_DEF', 103)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 1, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10029
CMD('MISE_MAC_DEF', 104)
CMD('MISE_ACCOUNT_START', 320006, 0)
CMD('MISE_NVSTORE_READ',  25, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10030
CMD('MISE_MAC_DEF', 105)
CMD('MISE_ACCOUNT_START', 320012, 0)
CMD('MISE_NVSTORE_READ',  25, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10031
CMD('MISE_MAC_DEF', 106)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 3, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10032
CMD('MISE_MAC_DEF', 107)
CMD('MISE_ACCOUNT_START', 320070, 0)
CMD('MISE_NVSTORE_READ',  26, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10033
CMD('MISE_MAC_DEF', 108)
CMD('MISE_ACCOUNT_START', 320076, 0)
CMD('MISE_NVSTORE_READ',  26, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10034
CMD('MISE_MAC_DEF', 109)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 4, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10035
CMD('MISE_MAC_DEF', 110)
CMD('MISE_ACCOUNT_START', 320102, 0)
CMD('MISE_NVSTORE_READ',  27, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10036
CMD('MISE_MAC_DEF', 111)
CMD('MISE_ACCOUNT_START', 320108, 0)
CMD('MISE_NVSTORE_READ',  27, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10037
CMD('MISE_MAC_DEF', 112)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 6, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10038
CMD('MISE_MAC_DEF', 113)
CMD('MISE_ACCOUNT_START', 320166, 0)
CMD('MISE_NVSTORE_READ',  28, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10039
CMD('MISE_MAC_DEF', 114)
CMD('MISE_ACCOUNT_START', 320172, 0)
CMD('MISE_NVSTORE_READ',  28, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10040
CMD('MISE_MAC_DEF', 115)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 7, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10041
CMD('MISE_MAC_DEF', 116)
CMD('MISE_ACCOUNT_START', 320198, 0)
CMD('MISE_NVSTORE_READ',  29, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10042
CMD('MISE_MAC_DEF', 117)
CMD('MISE_ACCOUNT_START', 320204, 0)
CMD('MISE_NVSTORE_READ',  29, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10043
CMD('MISE_MAC_DEF', 118)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 12, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10044
CMD('MISE_MAC_DEF', 119)
CMD('MISE_ACCOUNT_START', 320358, 0)
CMD('MISE_NVSTORE_READ',  30, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10045
CMD('MISE_MAC_DEF', 120)
CMD('MISE_ACCOUNT_START', 320364, 0)
CMD('MISE_NVSTORE_READ',  30, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10046
CMD('MISE_MAC_DEF', 121)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 13, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10047
CMD('MISE_MAC_DEF', 122)
CMD('MISE_ACCOUNT_START', 320390, 0)
CMD('MISE_NVSTORE_READ',  31, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10048
CMD('MISE_MAC_DEF', 123)
CMD('MISE_ACCOUNT_START', 320396, 0)
CMD('MISE_NVSTORE_READ',  31, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10049
CMD('MISE_MAC_DEF', 124)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 15, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10050
CMD('MISE_MAC_DEF', 125)
CMD('MISE_ACCOUNT_START', 320454, 0)
CMD('MISE_NVSTORE_READ',  32, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10051
CMD('MISE_MAC_DEF', 126)
CMD('MISE_ACCOUNT_START', 320460, 0)
CMD('MISE_NVSTORE_READ',  32, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10052
CMD('MISE_MAC_DEF', 127)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 16, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10053
CMD('MISE_MAC_DEF', 128)
CMD('MISE_ACCOUNT_START', 320486, 0)
CMD('MISE_NVSTORE_READ',  33, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10054
CMD('MISE_MAC_DEF', 129)
CMD('MISE_ACCOUNT_START', 320492, 0)
CMD('MISE_NVSTORE_READ',  33, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10055
CMD('MISE_MAC_DEF', 130)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 18, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10056
CMD('MISE_MAC_DEF', 131)
CMD('MISE_ACCOUNT_START', 320550, 0)
CMD('MISE_NVSTORE_READ',  34, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10057
CMD('MISE_MAC_DEF', 132)
CMD('MISE_ACCOUNT_START', 320556, 0)
CMD('MISE_NVSTORE_READ',  34, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10058
CMD('MISE_MAC_DEF', 133)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 19, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10059
CMD('MISE_MAC_DEF', 134)
CMD('MISE_ACCOUNT_START', 320582, 0)
CMD('MISE_NVSTORE_READ',  35, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10060
CMD('MISE_MAC_DEF', 135)
CMD('MISE_ACCOUNT_START', 320588, 0)
CMD('MISE_NVSTORE_READ',  35, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10061
CMD('MISE_MAC_DEF', 136)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 21, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10062
CMD('MISE_MAC_DEF', 137)
CMD('MISE_ACCOUNT_START', 320646, 0)
CMD('MISE_NVSTORE_READ',  36, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10063
CMD('MISE_MAC_DEF', 138)
CMD('MISE_ACCOUNT_START', 320652, 0)
CMD('MISE_NVSTORE_READ',  36, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10064
CMD('MISE_MAC_DEF', 139)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 22, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10065
CMD('MISE_MAC_DEF', 140)
CMD('MISE_ACCOUNT_START', 320678, 0)
CMD('MISE_NVSTORE_READ',  37, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10066
CMD('MISE_MAC_DEF', 141)
CMD('MISE_ACCOUNT_START', 320684, 0)
CMD('MISE_NVSTORE_READ',  37, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10067
CMD('MISE_MAC_DEF', 142)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_DARK', 24, 10, 32)
CMD('MISE_MAC_ENDDEF')

# Processing target id 10068
CMD('MISE_MAC_DEF', 143)
CMD('MISE_ACCOUNT_START', 320742, 0)
CMD('MISE_NVSTORE_READ',  38, 'Frame', 'Enable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10069
CMD('MISE_MAC_DEF', 144)
CMD('MISE_ACCOUNT_START', 320748, 0)
CMD('MISE_NVSTORE_READ',  38, 'DarkHist', 'Disable',  0,  0)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10070
CMD('MISE_MAC_DEF', 145)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_SCENE',  8,  29,  300,  20,  2, 'Vectors')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10071
CMD('MISE_MAC_DEF', 146)
CMD('MISE_ACCOUNT_START', 320234, 0)
CMD('MISE_NVSTORE_READ',  39, 'Frame', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10072
CMD('MISE_MAC_DEF', 147)
CMD('MISE_ACCOUNT_START', 320242, 1)
CMD('MISE_NVSTORE_READ',  39, 'DiagVector', 'Disable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10073
CMD('MISE_MAC_DEF', 148)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_SCENE',  2,  26,  300,  20,  2, 'Counts')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10074
CMD('MISE_MAC_DEF', 149)
CMD('MISE_ACCOUNT_START', 320042, 0)
CMD('MISE_NVSTORE_READ',  40, 'Frame', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10075
CMD('MISE_MAC_DEF', 150)
CMD('MISE_ACCOUNT_START', 320048, 2)
CMD('MISE_NVSTORE_READ',  40, 'DiagCount', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10076
CMD('MISE_MAC_DEF', 151)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_SCENE',  23,  37,  300,  20,  2, 'Counts')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10077
CMD('MISE_MAC_DEF', 152)
CMD('MISE_ACCOUNT_START', 320714, 0)
CMD('MISE_NVSTORE_READ',  41, 'Frame', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10078
CMD('MISE_MAC_DEF', 153)
CMD('MISE_ACCOUNT_START', 320720, 2)
CMD('MISE_NVSTORE_READ',  41, 'DiagCount', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10079
CMD('MISE_MAC_DEF', 154)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_SCENE',  5,  28,  300,  20,  2, 'Counts')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10080
CMD('MISE_MAC_DEF', 155)
CMD('MISE_ACCOUNT_START', 320138, 0)
CMD('MISE_NVSTORE_READ',  42, 'Frame', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10081
CMD('MISE_MAC_DEF', 156)
CMD('MISE_ACCOUNT_START', 320144, 2)
CMD('MISE_NVSTORE_READ',  42, 'DiagCount', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10082
CMD('MISE_MAC_DEF', 157)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_SCENE',  14,  31,  300,  20,  2, 'Counts')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10083
CMD('MISE_MAC_DEF', 158)
CMD('MISE_ACCOUNT_START', 320426, 0)
CMD('MISE_NVSTORE_READ',  43, 'Frame', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10084
CMD('MISE_MAC_DEF', 159)
CMD('MISE_ACCOUNT_START', 320432, 2)
CMD('MISE_NVSTORE_READ',  43, 'DiagCount', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10085
CMD('MISE_MAC_DEF', 160)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_SCENE',  17,  33,  300,  20,  2, 'Counts')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10086
CMD('MISE_MAC_DEF', 161)
CMD('MISE_ACCOUNT_START', 320522, 0)
CMD('MISE_NVSTORE_READ',  44, 'Frame', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10087
CMD('MISE_MAC_DEF', 162)
CMD('MISE_ACCOUNT_START', 320528, 2)
CMD('MISE_NVSTORE_READ',  44, 'DiagCount', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10088
CMD('MISE_MAC_DEF', 163)
CMD('MISE_NVSTORE_CUBE')
CMD('MISE_FRAME_REDUCE_SCENE',  20,  35,  300,  20,  2, 'Counts')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10089
CMD('MISE_MAC_DEF', 164)
CMD('MISE_ACCOUNT_START', 320618, 0)
CMD('MISE_NVSTORE_READ',  45, 'Frame', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# Processing target id 10090
CMD('MISE_MAC_DEF', 165)
CMD('MISE_ACCOUNT_START', 320624, 2)
CMD('MISE_NVSTORE_READ',  45, 'DiagCount', 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')

# FLAGS diagnostic for target ID 10019
CMD('MISE_MAC_DEF', 166)
CMD('MISE_ACCOUNT_START', 320622, 2)
CMD('MISE_NVSTORE_READ',  45, ‘DiagFlag’, 'Enable',  0,  299)
CMD('MISE_ACCOUNT_END')
CMD('MISE_MAC_ENDDEF')
